<{php}>
use XoopsModules\Publisher;
use XoopsModules\Publisher\Constants;

$helper = Publisher\Helper::getInstance();
$myts =& MyTextSanitizer::getInstance();
$itemsObj = $helper->getHandler('Item')->getItems($limit = 6, $start = 0, [Constants::PUBLISHER_STATUS_PUBLISHED], -1, $sort = 'datesub', $order='DESC', '', true, $criteria = null);
$totalItems = count($itemsObj);

global $items;
$items = array();
if ($itemsObj) {
    for ( $i = 0; $i < $totalItems; $i++ ) {
        $newItems['itemid']       = $itemsObj[$i]->itemid();
        $newItems['title']        = $itemsObj[$i]->title();
        $newItems['body']         = $itemsObj[$i]->body();
        $newItems['votes']        = $itemsObj[$i]->votes();
		$newItems['counter']        = $itemsObj[$i]->counter();
		$newItems['comments']        = $itemsObj[$i]->comments();
        $newItems['image']        = XOOPS_URL . '/uploads/blank.gif';
        $images = $itemsObj[$i]->getImages();
        if (is_object($images['main'])) {
            $newItems['image'] = XOOPS_URL . '/uploads/' . $images['main']->getVar('image_name');
        }
    $items[] = $newItems;
    }
}
<{/php}>
<!-- Slider -->
		
		
            <{php}>
        foreach ( $GLOBALS['items'] as $myrow )
        {
            $GLOBALS['xoopsTpl']->assign('itemid', $myrow['itemid']);
            $GLOBALS['xoopsTpl']->assign('title', $myrow['title']);
            $GLOBALS['xoopsTpl']->assign('body', $myrow['body']);
            $GLOBALS['xoopsTpl']->assign('votes', $myrow['votes']);
			$GLOBALS['xoopsTpl']->assign('counter', $myrow['counter']);
			$GLOBALS['xoopsTpl']->assign('comments', $myrow['comments']);
            $GLOBALS['xoopsTpl']->assign('image', $myrow['image']);
        <{/php}>
            <div class="col-lg-4 col-md-6 portfolio-item filter-remodeling">
              <div class="portfolio-content h-100">
                <img src="<{$image}>" class="img-fluid" alt="">
                <div class="portfolio-info">
                  <h4><{$title}></h4>
                  <p><{$body|truncate:80}></p>
                  <a href="<{xoImgUrl}>assets/img/projects/remodeling-1.jpg" title="Remodeling 1" data-gallery="portfolio-gallery-remodeling" class="glightbox preview-link"><i class="bi bi-zoom-in"></i></a>
                  <a href="<{$xoops_url}>/modules/publisher/item.php?itemid=<{$itemid}>" title="More Details" class="details-link"><i class="bi bi-link-45deg"></i></a>
                </div>
              </div>
            </div>
        <{php}>
        }
        <{/php}> 